all : \
	compile

full: 	build \
	build\win32\
	build\win32\bin \
	build\win32\bin\dia.exe \
	build\win32\bin\libdia.dll \
	build\win32\bin\libart_lgpl_2-2.dll \
	build\win32\bin\libfontconfig-1.dll \
	build\win32\bin\libgtk-win32-2.0-0.dll \
	build\win32\bin\libxml2.dll \
	build\win32\bin\libxslt.dll \
	build\win32\dia \
	build\win32\lib \
	build\win32\lib\locale \
	build\win32\dia\bondgraph.dll \
	build\win32\dia\chronogram.dll \
	build\win32\dia\custom.dll \
	build\win32\dia\er.dll \
	build\win32\dia\flowchart.dll \
	build\win32\dia\fs.dll \
	build\win32\dia\grafcet.dll \
	build\win32\dia\istar.dll \
	build\win32\dia\jackson.dll \
	build\win32\dia\kaos.dll \
	build\win32\dia\misc.dll \
	build\win32\dia\network.dll \
	build\win32\dia\sadt.dll \
	build\win32\dia\standard.dll \
	build\win32\dia\uml.dll \
#	build\win32\dia\cairo.dll \
	build\win32\dia\cgm.dll \
	build\win32\dia\dxf.dll \
	build\win32\dia\hpgl.dll \
	build\win32\dia\metapost.dll \
	build\win32\dia\pixbuf.dll \
	build\win32\dia\pstricks.dll \
	build\win32\dia\shape.dll \
	build\win32\dia\svg.dll \
	build\win32\dia\wmf.dll \
	build\win32\dia\wpg.dll \
	build\win32\dia\xfig.dll \
	build\win32\dia\xslt.dll \
	build\win32\dia_logo.png

compile :
	cd lib
	nmake -f makefile.msc
	cd ..\app
	nmake -f makefile.msc
	cd ..\objects
	nmake -f makefile.msc
	cd ..\plug-ins
	nmake -f makefile.msc
	cd python
	nmake -f makefile.msc
	cd ..\..
	
clean :
	cd lib
	nmake -f makefile.msc clean
	cd ..\app
	nmake -f makefile.msc clean
	cd ..\objects
	nmake -f makefile.msc clean
	cd ..\plug-ins
	nmake -f makefile.msc clean
	cd python
	nmake -f makefile.msc clean
	cd ..\..
	
build:
	md build

build\win32: build
	md build\win32
	
build\win32\bin: build\win32
	md build\win32\bin

build\win32\dia: build\win32
	md build\win32\dia
	
build\win32\lib: build\win32
	md build\win32\lib
	
build\win32\lib\locale: build\win32\lib
	md build\win32\lib\locale

build\win32\bin\dia.exe: build\win32\bin app\dia.exe
	copy app\dia.exe build\win32\bin\dia.exe
	
build\win32\bin\libart_lgpl.dll: build\win32\bin ..\bin\libart_lgpl_2-2.dll
	copy ..\bin\libart_lgpl_2-2.dll build\win32\bin

build\win32\bin\libfontconfig-1.dll: build\win32\bin ..\bin\libfontconfig-1.dll
	copy ..\bin\libfontconfig-1.dll build\win32\bin

build\win32\bin\libdia.dll: lib\libdia.dll
	copy lib\libdia.dll build\win32\bin\libdia.dll

build\win32\bin\libgtk-win32-2.0-0.dll: ..\bin\libgtk-win32-2.0-0.dll
	copy ..\bin\libgtk-win32-2.0-0.dll build\win32\bin
	
build\win32\lib\zlib.dll: build\win32\bin\zlib.dll
	copy ..\lib\zlib.dll build\win32\bin
	
build\win32\bin\libxml2.dll: build\win32\bin ..\lib\libxml2.dll
	copy ..\lib\libxml2.dll build\win32\bin
	
build\win32\bin\libxslt.dll: build\win32\bin ..\lib\libxslt.dll
	copy ..\lib\libxslt.dll build\win32\bin

build\win32\bin\libcharset.dll: build\win32\bin ..\bin\libcharset.dll
	copy ..\bin\libcharset.dll build\win32\bin

build\win32\dia\bondgraph.dll: build\win32\dia objects\bondgraph\bondgraph.dll
	copy objects\bondgraph\bondgraph.dll build\win32\dia	

build\win32\dia\chronogram.dll: build\win32\dia objects\chronogram\chronogram.dll
	copy objects\chronogram\chronogram.dll build\win32\dia
	
build\win32\dia\custom.dll: build\win32\dia objects\custom\custom.dll
	copy objects\custom\custom.dll build\win32\dia

build\win32\dia\er.dll: build\win32\dia objects\ER\er.dll
	copy objects\ER\er.dll build\win32\dia

build\win32\dia\flowchart.dll: build\win32\dia objects\flowchart\flowchart.dll
	copy objects\flowchart\flowchart.dll build\win32\dia

build\win32\dia\fs.dll: build\win32\dia objects\FS\fs.dll
	copy objects\FS\fs.dll build\win32\dia

build\win32\dia\grafcet.dll: build\win32\dia objects\GRAFCET\grafcet.dll
	copy objects\GRAFCET\grafcet.dll build\win32\dia

build\win32\dia\istar.dll: build\win32\dia objects\Istar\istar.dll
	copy objects\Istar\istar.dll build\win32\dia	
	
build\win32\dia\jackson.dll: build\win32\dia objects\Jackson\jackson.dll
	copy objects\Jackson\jackson.dll build\win32\dia

build\win32\dia\kaos.dll: build\win32\dia objects\KAOS\kaos.dll
	copy objects\KAOS\kaos.dll build\win32\dia
	
build\win32\dia\misc.dll: build\win32\dia objects\Misc\misc.dll
	copy objects\Misc\misc.dll build\win32\dia

build\win32\dia\network.dll: build\win32\dia objects\network\network.dll
	copy objects\network\network.dll build\win32\dia

build\win32\dia\sadt.dll: build\win32\dia objects\SADT\sadt.dll
	copy objects\SADT\sadt.dll build\win32\dia	
	
build\win32\dia\standard.dll: build\win32\dia objects\standard\standard.dll
	copy objects\standard\standard.dll build\win32\dia

build\win32\dia\uml.dll: build\win32\dia objects\UML\uml.dll
	copy objects\UML\uml.dll build\win32\dia

build\win32\dia\cairo.dll: build\win32\dia plug-ins\cairo\cairo.dll
	copy plug-ins\cairo\cairo.dll build\win32\dia

build\win32\dia\cgm.dll: build\win32\dia plug-ins\cgm\cgm.dll
	copy plug-ins\cgm\cgm.dll build\win32\dia

build\win32\dia\dxf.dll: build\win32\dia plug-ins\dxf\dxf.dll
	copy plug-ins\dxf\dxf.dll build\win32\dia

build\win32\dia\hpgl.dll: build\win32\dia plug-ins\hpgl\hpgl.dll
	copy plug-ins\hpgl\hpgl.dll build\win32\dia

build\win32\dia\metapost.dll: build\win32\dia plug-ins\metapost\metapost.dll
	copy plug-ins\metapost\metapost.dll build\win32\dia

build\win32\dia\pixbuf.dll: build\win32\dia plug-ins\pixbuf\pixbuf.dll
	copy plug-ins\pixbuf\pixbuf.dll build\win32\dia

build\win32\dia\pstricks.dll: build\win32\dia plug-ins\pstricks\pstricks.dll
	copy plug-ins\pstricks\pstricks.dll build\win32\dia

build\win32\dia\shape.dll: build\win32\dia plug-ins\shape\shape.dll
	copy plug-ins\shape\shape.dll build\win32\dia

build\win32\dia\svg.dll: build\win32\dia plug-ins\svg\svg.dll
	copy plug-ins\svg\svg.dll build\win32\dia

build\win32\dia\wmf.dll: build\win32\dia plug-ins\wmf\wmf.dll
	copy plug-ins\wmf\wmf.dll build\win32\dia

build\win32\dia\wpg.dll: build\win32\dia plug-ins\wpg\wpg.dll
	copy plug-ins\wpg\wpg.dll build\win32\dia

build\win32\dia\xfig.dll: build\win32\dia plug-ins\xfig\xfig.dll
	copy plug-ins\xfig\xfig.dll build\win32\dia

build\win32\dia\xslt.dll: build\win32\dia plug-ins\xslt\xslt.dll
	copy plug-ins\xslt\xslt.dll build\win32\dia	
		
build\win32\lib: build\win32
	md build\win32\lib

build\win32\lib\pango: build\win32\lib ..\lib\pango
	md build\win32\lib\pango
	xcopy /s ..\lib\pango\* build\win32\lib\pango\.

build\win32\lib\gtk-2.0: build\win32\lib ..\lib\gtk-2.0
	md build\win32\lib\gtk-2.0
	xcopy /s ..\lib\gtk-2.0\* build\win32\lib\gtk-2.0\.

build\win32\etc: build\win32 ..\etc
	md build\win32\etc
	xcopy /s ..\etc\* build\win32\etc\.	
	
build\win32\dia_logo.png: build\win32 dia_logo.png
	copy dia_logo.png build\win32

ALL_LINGUAS = am az be bs ca cs da de el en_CA en_GB es fi fr ga gu hr hu is it ja ko mk mn ml ms nb nl nn no pl pt pt_BR ro ru sk sl sq sr sr@Latn sv tr uk vi zh_CN zh_TW	

po: installer\locale
 	for %d in ($(ALL_LINGUAS)) do md installer\locale\%d
	for %d in ($(ALL_LINGUAS)) do md installer\locale\%d\LC_MESSAGES
	for %d in ($(ALL_LINGUAS)) do msgfmt --use-fuzzy -o installer\locale\%d\LC_MESSAGES\dia.mo po\%d.po
	
DOCBOOKDIR = c:\program files\docbook-xsl

XSLTPROC = "c:\program files\libxslt\bin\xsltproc.exe"

FOP = "c:\program files\fop\fop.bat"

HHC = "c:\program files\HTML Help Workshop\hhc.exe"

.IGNORE:
doc: doc\en\dia.xml
	cd doc\en
	$(XSLTPROC) -o index.html "$(DOCBOOKDIR)\htmlhelp\profile-htmlhelp.xsl" dia.xml
	$(HHC) htmlhelp.hhp
	$(XSLTPROC) -o dia-manual.fo "$(DOCBOOKDIR)\fo\profile-docbook.xsl" dia.xml
	$(FOP) dia-manual.fo dia-manual.pdf
	copy htmlhelp.chm ..\..\build\win32\help\C\dia-manual.chm
	copy dia-manual.pdf ..\..\build\win32\help\C\dia-manual.pdf
	cd ..\..\doc\pl
	$(XSLTPROC) -o index.html "$(DOCBOOKDIR)\htmlhelp\profile-htmlhelp.xsl" dia.xml
	$(HHC) htmlhelp.hhp
	$(XSLTPROC) -o dia-manual.fo "$(DOCBOOKDIR)\fo\profile-docbook.xsl" dia.xml
	$(FOP) dia-manual.fo dia-manual.pdf
	copy htmlhelp.chm ..\..\build\win32\help\pl\dia-manual.chm
	copy dia-manual.pdf ..\..\build\win32\help\pl\dia-manual.pdf
